Skip to main content
GET
/
v1
/
agents
/
{passportId}
/
events
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.deploy.lucidGetDeploymentEvents({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "data": [
    {
      "event_id": "<string>",
      "deployment_id": "<string>",
      "event_type": "<string>",
      "actor": "<string>",
      "previous_state": "<string>",
      "new_state": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier

Query Parameters

limit
integer
default:50

Maximum number of events to return

Response

OK

success
boolean
data
object[]